Bug 31803 - squid reload ( squid -k reconfigure) is not woking propertly ( never_direct and always_direct are lost ) in RPM packages
Summary: squid reload ( squid -k reconfigure) is not woking propertly ( never_direct a...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squid   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 21:34 UTC by Need Real Name
Modified: 2014-03-17 02:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 05:26:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-14 21:34:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


In squid.conf I have a lot of restriccions like:
always_direct allow agroUbaAr 
always_direct deny ipsPorUBA
never_direct allow nodir
never_direct allow MP3 

which convined with two different parent proxies and a direct connection
make possible to use the links ( Internet connections ) as I like.

Everything goes well if I use /etc/rc.d/init.d/squid stop/start
but stops working if I use /etc/rc.d/init.d/squid reload ( the same with
squid -k reconfigure ).
I saw this in all of the RPM versions I try ( in RH5.2 RH6.0/1/2 ). I
happened too when I build from SRPM.

But this does not happens compiling from the source
(squid-2.3.STABLE4-src.tar.gz )


Reproducible: Always
Steps to Reproduce:
1. Write a squid.conf with some directives like  never_direct and
always_direct
2. /etc/rc.d/init.d/squid start
3. Check /var/log/squid/access.log to see if restricctions are working (
for example one restriction can make all *.mp3 file to be fetched from a
parent, not DIRECTLY )
4. /etc/rc.d/init.d/squid reload
5. Check /var/log/squid/access.log to see that all the files are fetched
DIRECTLY after "reload"


Actual Results:  all the files are fetched DIRECTLY 

Expected Results:  Each file should be fetch from the place I wantted (
DIRECTLY, parent, etc ) deppending on squid.conf

I can send the squid.conf I use and all of the files with the ACL contents.

Comment 1 Bill Nottingham 2001-04-24 15:46:44 UTC
That's odd. I don't see anything specifically that we enable or disable
that would cause this. Are you building with the same config options?

Comment 2 Bill Nottingham 2002-07-08 21:00:55 UTC
Closing, lack of response.


Note You need to log in before you can comment on or make changes to this bug.